Package org.kapott.hbci.GV_Result

# Class GVRWPDepotUms.Entry.FinancialInstrument.Transaction

java.lang.Object
org.kapott.hbci.GV_Result.GVRWPDepotUms.Entry.FinancialInstrument.Transaction

Enclosing class:
  GVRWPDepotUms.Entry.FinancialInstrument

public static class GVRWPDepotUms.Entry.FinancialInstrument.Transaction extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`TypedValue`
`anzahl`
Anzahl/Betrag der Papiere im Umsatz
`BigDecimalValue`
`betrag`
Betrag des Umsatzes
`int`
`bezahlung`
Gegen Bezahlung oder frei? (siehe Konstanten BEZAHLUNG*)
`static final int`
`BEZAHLUNG_FREI`
The transaction is free of payment.
`static final int`
`BEZAHLUNG_GEGEN_ZAHLUNG`
The transaction is versus payment.
`boolean`
`ccp_eligibility`
The transaction was initiated by CCP.A.
`Date`
`datum`
Effektives Datum der Transaktion
`Date`
`datum_valuta`
Valutadatum der Transaktion
`String`
`freitext_details`
Freitext mit Transaktionsdetails
`String`
`gegenpartei`
Gegenpartei der Transaktion
`static final int`
`INDICATOR_CORPORATE_ACTION`
The transaction relates to corporate action.
`static final int`
`INDICATOR_KAPITALMASSNAHME`
Deprecated.
`static final int`
`INDICATOR_LEIHE`
Transaktion im Zusammenhang mit Leihe
`static final int`
`INDICATOR_SETTLEMENT_CLEARING`
The transaction relates to settlement and clearing
`static final int`
`INDICATOR_SICHERHEITEN`
Transaktion im Zusammenhang mit Sicherheiten
`String`
`kundenreferenz`
Kundenreferenznummer
`int`
`richtung`
Lieferung oder Erhalt? (siehe Konstanten RICHTUNG*)
`static final int`
`RICHTUNG_ERHALT`
The transaction is a receipt.
`static final int`
`RICHTUNG_LIEFERUNG`
The transaction is a delivery.
`boolean`
`storno`
Transaktion ist ein Storno einer anderen Transaktion
`int`
`stueckzins_tage`
Anzahl der aufgelaufenen Tage für Stückzinsen
`BigDecimalValue`
`stueckzinsen`
Betrag der Stueckzinsen
`int`
`transaction_indicator`
Art der Transaktion (siehe Konstanten INDICATOR*)

## Constructor Summary

Constructors
Constructor
Description
`Transaction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INDICATOR_SETTLEMENT_CLEARING

public static final int INDICATOR_SETTLEMENT_CLEARING
The transaction relates to settlement and clearing

See Also:
  - Constant Field Values

### INDICATOR_CORPORATE_ACTION

public static final int INDICATOR_CORPORATE_ACTION
The transaction relates to corporate action.

See Also:
  - Constant Field Values

### INDICATOR_KAPITALMASSNAHME

@Deprecated public static final int INDICATOR_KAPITALMASSNAHME
Deprecated.

See Also:
  - Constant Field Values

### INDICATOR_LEIHE

public static final int INDICATOR_LEIHE
Transaktion im Zusammenhang mit Leihe

See Also:
  - Constant Field Values

### INDICATOR_SICHERHEITEN

public static final int INDICATOR_SICHERHEITEN
Transaktion im Zusammenhang mit Sicherheiten

See Also:
  - Constant Field Values

### RICHTUNG_LIEFERUNG

public static final int RICHTUNG_LIEFERUNG
The transaction is a delivery.

See Also:
  - Constant Field Values

### RICHTUNG_ERHALT

public static final int RICHTUNG_ERHALT
The transaction is a receipt.

See Also:
  - Constant Field Values

### BEZAHLUNG_GEGEN_ZAHLUNG

public static final int BEZAHLUNG_GEGEN_ZAHLUNG
The transaction is versus payment.

See Also:
  - Constant Field Values

### BEZAHLUNG_FREI

public static final int BEZAHLUNG_FREI
The transaction is free of payment.

See Also:
  - Constant Field Values

### kundenreferenz

public String kundenreferenz
Kundenreferenznummer

### anzahl

public TypedValue anzahl
Anzahl/Betrag der Papiere im Umsatz

### betrag

public BigDecimalValue betrag
Betrag des Umsatzes

### stueckzinsen

public BigDecimalValue stueckzinsen
Betrag der Stueckzinsen

### stueckzins_tage

public int stueckzins_tage
Anzahl der aufgelaufenen Tage für Stückzinsen

### transaction_indicator

public int transaction_indicator
Art der Transaktion (siehe Konstanten INDICATOR*)

### richtung

public int richtung
Lieferung oder Erhalt? (siehe Konstanten RICHTUNG*)

### bezahlung

public int bezahlung
Gegen Bezahlung oder frei? (siehe Konstanten BEZAHLUNG*)

### ccp_eligibility

public boolean ccp_eligibility
The transaction was initiated by CCP.A.

### datum

public Date datum
Effektives Datum der Transaktion

### datum_valuta

public Date datum_valuta
Valutadatum der Transaktion

### storno

public boolean storno
Transaktion ist ein Storno einer anderen Transaktion

### gegenpartei

public String gegenpartei
Gegenpartei der Transaktion

### freitext_details

public String freitext_details
Freitext mit Transaktionsdetails

## Constructor Details

### Transaction

public Transaction()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`